Parcourir la source

[conflict] Resolve merge conflict

Colin Powell il y a 6 mois
Parent
commit
66e76c2764

+ 1 - 1
alacritty/.config/alacritty/alacritty.toml

@@ -39,7 +39,7 @@ unfocused_hollow = true
 TERM = "xterm-256color"
 
 [font]
-size = 10.0
+size = 13.0
 
 [font.bold]
 family = "Go Mono"

+ 1 - 0
bash/.aliases

@@ -19,3 +19,4 @@ alias chglg="git add ./changelog/ && git commit -m 'Add changelog' && git push"
 alias surepayment="portforward 5001"
 alias sureroc="portforward 5002"
 alias slip="sli dev changelog"
+alias deploy_v="ssh vrobbler.service \"rm -rf /usr/local/lib/python3.9/site-packages/vrobbler-0.15.4.dist-info/ && pip install git+https://code.unbl.ink/secstate/vrobbler.git@develop && immortalctl restart vrobbler\""

+ 49 - 0
bin/.bin/write_pdf_metadata_in_calibre.sh

@@ -0,0 +1,49 @@
+#!/bin/bash
+#
+# Scans the given directory and all subdirectories for the file
+# "metadata.opf". This file is created by Calibre. From this file data will be
+# written into the PDFs, which are exactly in the same directory.
+# 
+# 
+#  REQUIREMENTS: calibre by KOVID GOYAL (http://calibre-ebook.com/)
+# 
+
+
+
+shopt -s nullglob
+shopt -s nocaseglob
+
+
+write_metadata() {
+  find "$1" -depth -type f -name "metadata.opf" | { while read -r metadata_path;
+    do
+      echo "metadata found: $metadata_path"
+      dir_name=$(dirname "$metadata_path")
+
+      pdfs=$(find "$dir_name" -maxdepth 1 -type f -name '*.pdf' | wc -l)
+
+      echo "pdfs found: $pdfs"
+
+      find "$dir_name" -maxdepth 1 -type f -name "*.pdf" | { while read -r pdf_path;
+        do
+          ebook-meta --from-opf="$metadata_path" "$pdf_path" 2>/dev/null
+        done
+        echo
+      }
+    done
+  }
+}
+
+[[ -z "$1" ]] && logError "Please specify a start directory." && exit 1
+
+if [ -f "$1" ]
+then
+  search_path=$(dirname "$1")
+else
+  search_path="$1"
+fi
+
+write_metadata "$search_path"
+
+exit 0
+

+ 1 - 1
zsh/.zshrc

@@ -7,7 +7,7 @@ export ZSH="$HOME/.oh-my-zsh"
 
 ZSH_THEME="robbyrussell"
 
-plugins=(git z fzf asdf direnv emacs yarn)
+plugins=(git z fzf asdf direnv yarn)
 
 eval "$(aws configure export-credentials --profile np-farmers --format env)"